Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000049Core InformRelationspublic2010-06-17 13:132010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000049: Can't statically store relations of values in variables
DescriptionThe example source results in an I6 error:

auto.inf(9766): Error: Expected constant but found <expression>
Minimal Source Text To Reproduce
Home is a room.

Bijection relates various numbers to various numbers.

R1 is a relation of numbers which varies.
R1 is the bijection relation.
Additional InformationRelations of objects are not affected by this problem.

Substituting ``people'' for ``numbers,'' the significant effects on the generated I6 are:

-Rel_Record_67 (the bijection) is declared as an array instead of a global; therefore it can be used in the initializer for Global_Vars.
-The empty procedure InitialiseRelation_67 vanishes.
-Array V2V_Bitmap_67, constant V2V_Route_Cache_67, and a procedure Rel_Handler_67 are defined.
-The procedure CreateDynamicRelations becomes empty.
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships
related to 0000169closedgraham Global dynamic relations larger than 32 words are easily corrupted 

-  Notes
(0000062)
graham (administrator)
2010-06-19 16:28

Well, perhaps it wasn't such a clever device to store the addresses of dynamically allocated relations in I6 global variables after all; it didn't occur to me that this would make them inadmissable in constant context, e.g., for initialising other variables (as here). Fixed.

- Issue History
Date Modified Username Field Change
2010-06-17 13:13 fundin New Issue
2010-06-17 14:00 jmcgrew Severity mild => critical
2010-06-17 14:00 jmcgrew Status new => acknowledged
2010-06-17 20:33 EmacsUser Status acknowledged => confirmed
2010-06-17 20:33 EmacsUser Additional Information Updated View Revisions
2010-06-19 16:28 graham Note Added: 0000062
2010-06-19 16:28 graham Status confirmed => resolved
2010-06-19 16:28 graham Resolution open => fixed
2010-06-19 16:28 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed
2010-07-04 17:37 jmcgrew Relationship added related to 0000169


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker